Bug 106762 - No file name in genhdlist file open error message
Summary: No file name in genhdlist file open error message
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-10 12:40 UTC by Toralf
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 18:09:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (352 bytes, patch)
2003-10-10 12:41 UTC, Toralf
no flags Details | Diff

Description Toralf 2003-10-10 12:40:45 UTC
Description of problem:
If there is some problem with a file on RedHat/RPMS,
/usr/lib/anaconda-runtime/genhdlist <install tree> fails with the message

open: No such file or directory

- with no filename. It took me *hours* to figure out what was wrong when I just
got this, while correcting the problem would have taken about 2 minutes with a
sane error message.

I must say that error messages like the one above provoke me quite a bit. When
you report failure of a file operation, you ALWAYS include the file name. That's
ALWAYS. No exception. No excuse not to do this.

Version-Release number of selected component (if applicable):
9.0-4

Comment 1 Toralf 2003-10-10 12:41:41 UTC
Created attachment 95099 [details]
Proposed fix

Comment 2 Jeremy Katz 2003-10-13 21:18:38 UTC
Fixed in CVS

Comment 3 Jeremy Katz 2006-04-24 18:09:49 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.